## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/Koromix/tytools

Name:           tytools
Version:        0.9.7
Release:        %autorelease
Summary:        Collection of tools to manage Teensy boards

License:        Unlicense
URL:            https://koromix.dev/tytools
Source0:        %{forgeurl}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  systemd-devel

%description
TyTools is a collection of independent tools to manage Teensy microcontroller
boards.

%package -n     tycmd
Summary:        Command-line tool to manage Teensy boards

%description -n tycmd
tycmd is a command-line tool to manage Teensy boards.

%package -n     tycommander
Summary:        Upload, monitor and communicate with multiple Teensy boards

%description -n tycommander
TyCommander is a Qt GUI to upload, monitor and communicate with multiple Teensy
microcontroller boards.

%package -n     tyuploader
Summary:        Simple firmware / sketch uploader GUI for Teensy boards

%description -n tyuploader
TyUploader is a simple firmware / sketch uploader GUI for Teensy
microcontroller boards.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

desktop-file-validate %{buildroot}/%{_datadir}/applications/tycommander.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/tyuploader.desktop

%files -n tycmd
%license LICENSE.txt
%doc README.md
%{_bindir}/tycmd

%files -n tycommander
%license LICENSE.txt
%doc README.md
%{_bindir}/tycommander
%{_datadir}/applications/tycommander.desktop

%files -n tyuploader
%license LICENSE.txt
%doc README.md
%{_bindir}/tyuploader
%{_datadir}/applications/tyuploader.desktop

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 12 2022 Davide Cavalca <dcavalca@centosproject.org> - 0.9.7-1
- Initial import; Fixes: RHBZ#2056309
## END: Generated by rpmautospec
